<?xml version="1.0" encoding="utf-8"?>
<jdoconfig xmlns="http://java.sun.com/xml/ns/jdo/jdoconfig"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/jdo/jdoconfig http://java.sun.com/xml/ns/jdo/jdoconfig_3_0.xsd">

    <persistence-manager-factory name="transactions-spring">
        <property name="javax.jdo.PersistenceManagerFactoryClass"
            value="org.datanucleus.jdo.JDOPersistenceManagerFactory"/>
        <property name="datanucleus.storeManagerType"
            value="rdbms"/>
        <property name="datanucleus.PersistenceUnitName"
            value="moumiPU"/>
        <property name="datanucleus.manageRelationshipsChecks"
            value="false"/>
        <property name="javax.jdo.option.Mapping"
            value="db2"/>
    </persistence-manager-factory>

    <persistence-manager-factory name="notx">
        <property name="javax.jdo.PersistenceManagerFactoryClass"
            value="org.datanucleus.jdo.JDOPersistenceManagerFactory"/>
        <property name="datanucleus.storeManagerType"
            value="rdbms"/>
        <property name="datanucleus.PersistenceUnitName"
            value="moumiPU"/>
        <property name="datanucleus.manageRelationshipsChecks"
            value="false"/>
        <property name="datanucleus.validateTables"
            value="true"/>
        <property name="datanucleus.validateConstraints"
            value="true"/>
        <property name="javax.jdo.option.Mapping"
            value="db2"/>
        <property name="datanucleus.ConnectionPoolingType"
            value="DBCP"/>
        <property name="datanucleus.connectionPool.maxIdle"
            value="15"/>
        <property name="datanucleus.connectionPool.minIdle"
            value="5"/>
        <property name="datanucleus.connectionPool.maxActive"
            value="20"/>
        <property name="datanucleus.connectionPool.maxWait"
            value="60"/>
        <property name="datanucleus.connectionPool.maxStatements"
            value="50"/>
        <property name="datanucleus.connectionPool.testSQL"
            value="SELECT * FROM sysibm.SYSDUMMY1"/>
        <property name="datanucleus.connectionPool.timeBetweenEvictionRunsMillis"
            value="2400000"/>
        <property name="datanucleus.connectionPool.minEvictableIdleTimeMillis"
            value="18000000"/>
        <property name="javax.jdo.option.ConnectionDriverName"
            value="com.ibm.db2.jcc.DB2Driver"/>
        <property name="javax.jdo.option.ConnectionURL"
            value="jdbc:db2://112.136.170.33:45201/CMCSED:currentSchema=CMCDBMGR;deferPrepares=false;"/>
        <property name="javax.jdo.option.ConnectionUserName"
            value="cmcdbmgr"/>
        <property name="javax.jdo.option.ConnectionPassword"
            value="cmcdbmgr01"/>
    </persistence-manager-factory>

</jdoconfig>
